// Copyright 1993 by Jon Dart.  All Rights Reserved.
#ifndef _SECONDARY_LIMIT_OPTIONS_H
#define _SECONDARY_LIMIT_OPTIONS_H

// This dialog shares structure and control definitions with
// the primary time control dialog
#include "srclimit.h"

#include <wpp.h>
#include <wpdlg.h>

class SecondaryLimitDialog : public WPDialogModal
{
    // handles the Secondary Time Control dialog box

public:

    SecondaryLimitDialog(WPWin *pwin, Search_Limit_Options *options);
    
    // override WPDlg virtual functions:
    void initDlg();
    void updateObject();
    void updateScreen();
    
    BOOL command( int id, WORD msg );
    
private:
    void new_type(int srctype);
    HWND hMinutes_field, hMinutes_text;
    HWND hPly_field, hPly_text;
    static WPControlMap ControlMap[];
    int initial_search_type;
};

#endif